Bug 22736 - Search field on "New order > from suggestion" search for borrowernumber
Summary: Search field on "New order > from suggestion" search for borrowernumber
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 17899
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-18 09:19 UTC by Séverine Queune
Modified: 2019-05-25 01:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2019-04-18 09:19:57 UTC
When ordering from a suggestion, the "Search" field also search the borrowernumber of the users, even if this field is not displayed in the table. It leads to have weird and non relevant results for the user.
Shouldn't this search only apply to visible datas ?
Comment 1 Jonathan Druart 2019-04-24 02:42:14 UTC
Bonjour Séverine,
It looks like it is the expected behaviour, from bug 17899 (commit 1104e61635e2d567c89587c28fd9a24b4f262037):

-            { "aTargets": [ 0 ],  "bVisible": false, "bSearchable": false },
+            { "aTargets": [ 0 ],  "bVisible": false, "bSearchable": true }, // must be searchable for fnFilter
Comment 2 Jonathan Druart 2019-05-13 14:07:48 UTC
Lowering severity.

Frido, what are your thoughts on this?
Comment 3 Fridolin Somers 2019-05-14 10:17:01 UTC
(In reply to Jonathan Druart from comment #2)
> Lowering severity.
> 
> Frido, what are your thoughts on this?

Oh indeed, the search by borrowernumber is needed for "Show only mine" filter.

I'd say the impact is really minor, close with wontfix ?
Comment 4 Jonathan Druart 2019-05-14 16:47:30 UTC
(In reply to Fridolin SOMERS from comment #3)
> (In reply to Jonathan Druart from comment #2)
> > Lowering severity.
> > 
> > Frido, what are your thoughts on this?
> 
> Oh indeed, the search by borrowernumber is needed for "Show only mine"
> filter.
> 
> I'd say the impact is really minor, close with wontfix ?

No, I do not think so. So answer shows us it is a bug actually :)

The searchable flag for the column could be added before clicking the link, then removed.
Comment 5 Jonathan Druart 2019-05-14 16:47:58 UTC
Your* answer shows us it is a bug actually :)
Comment 6 Fridolin Somers 2019-05-22 09:37:00 UTC
(In reply to Jonathan Druart from comment #5)
> Your* answer shows us it is a bug actually :)

Ok, but I don't know how it could be fixed.
Comment 7 Séverine Queune 2019-05-22 10:15:48 UTC
If it's too difficult too fix, maybe we could just display borrowernumber between parenthesis ?
What bothered me was having some suggsstions displayed after a search without knowing why, because none of the displayed values matched the search.
Comment 8 Jonathan Druart 2019-05-25 01:30:07 UTC
I do not think displaying the borrowernumber will be consistent with other views. I am sorry but I do not have anything simple to suggest.